public class FlatSortedListIterator implements SortedListIterator {
	private FlatSortedListItem current = null;
	private boolean firstItem = false;

	public FlatSortedListIterator(FlatSortedListItem root) {
		current = root;
		firstItem = true;
	}

	public ListItem nextItem() {
		if (firstItem) {
			firstItem = false;
			return current;
		}
		current = current.next;
		return current;
	}

	public String toString() {
		FlatSortedListItem oldCurrent = current;
		String s = new String("{");
		boolean first = true;
		ListItem cur = null;
		while ((cur = nextItem()) != null) {
			if (first) {
				first = false;
			} else {
				s += ", ";
			}
			s += ""+cur.getValue();
		}
		s += "}";
		current = oldCurrent;
		return s;
	}
}