public class TestAccountServices {
	public static void main(String[] args) {
		try {
			AccountService service = new AccountService();
		
			Account account1 = new Account(1);
			account1.setBalance(1000f);
			service.addAccount(account1);
		
			Account account2 = new Account(2);
			account2.setBalance(2000f);
			service.addAccount(account2);
		
			service.deposit(1, 100f);
			service.withdraw(2, 200f);
		
			System.out.println("Account1: "+account1.getBalance());
			System.out.println("Account2: "+account2.getBalance());
		} catch (NoSuchAccountException e) {
			e.printStackTrace();
		} catch (InsufficientFundsException e) {
			e.printStackTrace();
		}
	}
}