package bbs;

import java.util.Vector;

public class MessageList {
  private Vector messages = new Vector();
  
  /**
   * This method returns the list of messages as an array.
   *
   * @return The array of messages.
   */
  public Message[] getMessages() {
  	// create an array to hold the messages
  	Message[] messageList = new Message[messages.size()];
  	
  	// copy the messages from the Vector into the array
  	messages.copyInto(messageList);
  	
  	// return the array of messages
  	return messageList;
  }
  
  /**
   * This method inserts a new message into our message list
   *
   * @args message The new message to be inserted
   */
  public void addMessage(Message message) {
  	messages.addElement(message);
  }
}